Package org.eclipse.m2m.atl.engine.vm

## Class ASMReader

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.ASMReader

    public abstract class ASMReader
    extends java.lang.Object

### Constructor Summary

Constructors
`ASMReader()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract ASM` `read​(java.io.InputStream in)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASMReader

    public ASMReader()

### Method Detail

#### read

    public abstract ASM read​(java.io.InputStream in)